Page MenuHomePhabricator

Correct the Flow user plural in French into the singular for one user
Closed, DeclinedPublic

Description

Safari on iOS 8 on iPad.
I go on the site fr.wikipedia.org
I get a notice in broken french: "NicoV vous ont mentionné dans leur message […]" ("NicoV have mentioned you in their message […]").
The plural is incorrect, and inconsistent.
See the screen photo to come.
The singular is expected here. It would be consistent with the other notice, which correctly uses the singular.
Can you please correct "ont" into "a" and "leur" into "son"?

Merci. Bisous. :-)

Nnemo

Event Timeline

Nnemo created this task.Aug 27 2015, 8:18 PM
Nnemo updated the task description. (Show Details)
Nnemo raised the priority of this task from to Needs Triage.
Nnemo added a subscriber: Nnemo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2015, 8:18 PM
Nnemo awarded a token.Aug 27 2015, 8:18 PM
Nnemo added a comment.Aug 27 2015, 8:33 PM

Screen photo:

Screen photo of Wikipedia with notice in broken french.

Aklapper closed this task as Invalid.EditedAug 27 2015, 8:37 PM
Aklapper claimed this task.

It's entirely up to each user how they want to be described and MediaWiki respects the user's wish.

See the settings on Special:Preferences under "Internationalisation > How do you prefer to be described?"

While "a" still works, "son" would not due to "sa".

Nnemo added a comment.Aug 28 2015, 7:05 PM

It's entirely up to each user how they want to be described and MediaWiki respects the user's wish.

I am sure that NicoV never did set Wikipedia to describe him as several persons. Anyway, this possibility does not exist in the prefs, as far as I know.

Whatever the wish of the user, the sentence here is incorrect in french.

While "a" still works, "son" would not due to "sa".

In correct french, for one user, the singular is the only possibility: "a" and "son" always work, and only these words work. No "sa" may come here, even if the user is a girl. We say "son message" because "message" is masculine. [ It may seem strange, but in french every noun has a gender, feminine or masculine. :-) ]

Nnemo reopened this task as Open.Aug 28 2015, 7:05 PM
Nnemo set Security to None.
Aklapper closed this task as Declined.Aug 28 2015, 8:15 PM

Hah, my French is getting rusty. :) Thanks, of course you are right.

I am sure that NicoV never did set Wikipedia to describe him as several persons. Anyway, this possibility does not exist in the prefs, as far as I know.

The setting in the MediaWiki preferences is ""When mentioning you, the software will use gender neutral words whenever possible""/"Lorsqu’il fera mention de vous, le logiciel utilisera des mots de genre neutre, quand c’est possible".

And in French that setting currently seems to mean that it sounds like "several persons", as you've put it.

https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-flow&language=fr&filter=&action=translate lists the string

$1 {{GENDER:$5|vous}} {{GENDER:$1|a mentionné|a mentionnée|ont mentionné}} dans {{GENDER:$1|son|son|leur}} <span class="plainlinks">[$2 message]</span> sur « $3 », lié à « $4 »

so this is a topic to discuss with the French translators on translatewiki.net instead of Phabricator...

Aklapper renamed this task from Correct the plural into the singular for one user to Correct the Flow user plural in French into the singular for one user.Aug 28 2015, 8:16 PM
Nnemo added a comment.Sep 29 2015, 8:38 AM

Thank you, @Aklapper

Hah, my French is getting rusty. :) Thanks, of course you are right.

I am sure that NicoV never did set Wikipedia to describe him as several persons. Anyway, this possibility does not exist in the prefs, as far as I know.

The setting in the MediaWiki preferences is ""When mentioning you, the software will use gender neutral words whenever possible""/"Lorsqu’il fera mention de vous, le logiciel utilisera des mots de genre neutre, quand c’est possible".

And in French that setting currently seems to mean that it sounds like "several persons", as you've put it.

https://translatewiki.net/w/i.php?title=Special:Translate&group=ext-flow&language=fr&filter=&action=translate lists the string

$1 {{GENDER:$5|vous}} {{GENDER:$1|a mentionné|a mentionnée|ont mentionné}} dans {{GENDER:$1|son|son|leur}} <span class="plainlinks">[$2 message]</span> sur « $3 », lié à « $4 »

so this is a topic to discuss with the French translators on translatewiki.net instead of Phabricator...

I will try to correct the translation(s) on that page.

@Trizek-WMF

By the way, on that page there is a big mess between suppress / delete / hide / masquer / supprimer... English and french are inconsistent, and even english is inconsistent with english. I think that a good start would be to avoid saying "suppress" and "delete" to mean two different things.

@Nnemo Theorically, all translations concerning suppress/hide/delete have been updated: T111778: French needs a different translation for hide vs. suppress in Flow (?)